## org.hibernate.metamodel.source.binder
Interface RelationalValueSourceContainer

All Known Subinterfaces:
  ComponentAttributeSource, SingularAttributeSource, ToOneAttributeSource

All Known Implementing Classes:
  ComponentAttributeSourceImpl, ComponentAttributeSourceImpl, SingularAttributeSourceImpl, ToOneAttributeSourceImpl

    public interface RelationalValueSourceContainer

Contract for a container of `RelationalValueSource` references.

Method Summary
`boolean` `areValuesIncludedInInsertByDefault()`
`boolean` `areValuesIncludedInUpdateByDefault()`
`boolean` `areValuesNullableByDefault()`
`List<RelationalValueSource>` `relationalValueSources()` Obtain the contained `RelationalValueSource` references.

Method Detail

### areValuesIncludedInInsertByDefault

    boolean areValuesIncludedInInsertByDefault()

### areValuesIncludedInUpdateByDefault

    boolean areValuesIncludedInUpdateByDefault()

### areValuesNullableByDefault

    boolean areValuesNullableByDefault()

### relationalValueSources

    List<RelationalValueSource> relationalValueSources()

  Obtain the contained `RelationalValueSource` references.

  Returns:
    The contained `RelationalValueSource` references.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.